// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/24DSI64C200K/24DSI64C200K_linux_1.x_gsc_dn/samples/irq/gsc_ai_burst_done.c $
// $Rev: 43018 $
// $Date: 2018-06-22 17:33:51 -0500 (Fri, 22 Jun 2018) $

// 24DSI64C200K: Sample Application: source file

#include "main.h"




//*****************************************************************************
static int _irq_check_support(void)
{
	return(STATUS_SUPPORTED);
}



//*****************************************************************************
static int _irq_initiate(int fd)
{
	int	errs	= 0;

	errs	+= dsi64c200k_config_ai		(fd, -1, 0, -1, 250000);
	errs	+= dsi64c200k_irq_sel		(fd, -1, 0, DSI64C200K_IRQ_AI_BURST_DONE, NULL);
	errs	+= dsi64c200k_burst_enable	(fd, -1, 0, DSI64C200K_BURST_ENABLE_YES, NULL);
	errs	+= dsi64c200k_burst_trigger	(fd, -1, 0);
	return(errs);
}



//*****************************************************************************
int gsc_ai_burst_done_irq_test(int fd, int supported)
{
	int	ret;

	if (supported)
		ret	= _irq_check_support();
	else
		ret	= _irq_initiate(fd);

	return(ret);
}


